package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CertifAccExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CertifAccExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCertifCodeIsNull() {
            addCriterion("CERTIF_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCertifCodeIsNotNull() {
            addCriterion("CERTIF_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCertifCodeEqualTo(String value) {
            addCriterion("CERTIF_CODE =", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeNotEqualTo(String value) {
            addCriterion("CERTIF_CODE <>", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeGreaterThan(String value) {
            addCriterion("CERTIF_CODE >", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CERTIF_CODE >=", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeLessThan(String value) {
            addCriterion("CERTIF_CODE <", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeLessThanOrEqualTo(String value) {
            addCriterion("CERTIF_CODE <=", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeLike(String value) {
            addCriterion("CERTIF_CODE like", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeNotLike(String value) {
            addCriterion("CERTIF_CODE not like", value, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeIn(List<String> values) {
            addCriterion("CERTIF_CODE in", values, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeNotIn(List<String> values) {
            addCriterion("CERTIF_CODE not in", values, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeBetween(String value1, String value2) {
            addCriterion("CERTIF_CODE between", value1, value2, "certifCode");
            return (Criteria) this;
        }

        public Criteria andCertifCodeNotBetween(String value1, String value2) {
            addCriterion("CERTIF_CODE not between", value1, value2, "certifCode");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andQualityGradeIsNull() {
            addCriterion("QUALITY_GRADE is null");
            return (Criteria) this;
        }

        public Criteria andQualityGradeIsNotNull() {
            addCriterion("QUALITY_GRADE is not null");
            return (Criteria) this;
        }

        public Criteria andQualityGradeEqualTo(String value) {
            addCriterion("QUALITY_GRADE =", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeNotEqualTo(String value) {
            addCriterion("QUALITY_GRADE <>", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeGreaterThan(String value) {
            addCriterion("QUALITY_GRADE >", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeGreaterThanOrEqualTo(String value) {
            addCriterion("QUALITY_GRADE >=", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeLessThan(String value) {
            addCriterion("QUALITY_GRADE <", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeLessThanOrEqualTo(String value) {
            addCriterion("QUALITY_GRADE <=", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeLike(String value) {
            addCriterion("QUALITY_GRADE like", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeNotLike(String value) {
            addCriterion("QUALITY_GRADE not like", value, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeIn(List<String> values) {
            addCriterion("QUALITY_GRADE in", values, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeNotIn(List<String> values) {
            addCriterion("QUALITY_GRADE not in", values, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeBetween(String value1, String value2) {
            addCriterion("QUALITY_GRADE between", value1, value2, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andQualityGradeNotBetween(String value1, String value2) {
            addCriterion("QUALITY_GRADE not between", value1, value2, "qualityGrade");
            return (Criteria) this;
        }

        public Criteria andManufDateIsNull() {
            addCriterion("MANUF_DATE is null");
            return (Criteria) this;
        }

        public Criteria andManufDateIsNotNull() {
            addCriterion("MANUF_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andManufDateEqualTo(Date value) {
            addCriterion("MANUF_DATE =", value, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateNotEqualTo(Date value) {
            addCriterion("MANUF_DATE <>", value, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateGreaterThan(Date value) {
            addCriterion("MANUF_DATE >", value, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateGreaterThanOrEqualTo(Date value) {
            addCriterion("MANUF_DATE >=", value, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateLessThan(Date value) {
            addCriterion("MANUF_DATE <", value, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateLessThanOrEqualTo(Date value) {
            addCriterion("MANUF_DATE <=", value, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateIn(List<Date> values) {
            addCriterion("MANUF_DATE in", values, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateNotIn(List<Date> values) {
            addCriterion("MANUF_DATE not in", values, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateBetween(Date value1, Date value2) {
            addCriterion("MANUF_DATE between", value1, value2, "manufDate");
            return (Criteria) this;
        }

        public Criteria andManufDateNotBetween(Date value1, Date value2) {
            addCriterion("MANUF_DATE not between", value1, value2, "manufDate");
            return (Criteria) this;
        }

        public Criteria andSpecifModeIsNull() {
            addCriterion("SPECIF_MODE is null");
            return (Criteria) this;
        }

        public Criteria andSpecifModeIsNotNull() {
            addCriterion("SPECIF_MODE is not null");
            return (Criteria) this;
        }

        public Criteria andSpecifModeEqualTo(String value) {
            addCriterion("SPECIF_MODE =", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeNotEqualTo(String value) {
            addCriterion("SPECIF_MODE <>", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeGreaterThan(String value) {
            addCriterion("SPECIF_MODE >", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeGreaterThanOrEqualTo(String value) {
            addCriterion("SPECIF_MODE >=", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeLessThan(String value) {
            addCriterion("SPECIF_MODE <", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeLessThanOrEqualTo(String value) {
            addCriterion("SPECIF_MODE <=", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeLike(String value) {
            addCriterion("SPECIF_MODE like", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeNotLike(String value) {
            addCriterion("SPECIF_MODE not like", value, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeIn(List<String> values) {
            addCriterion("SPECIF_MODE in", values, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeNotIn(List<String> values) {
            addCriterion("SPECIF_MODE not in", values, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeBetween(String value1, String value2) {
            addCriterion("SPECIF_MODE between", value1, value2, "specifMode");
            return (Criteria) this;
        }

        public Criteria andSpecifModeNotBetween(String value1, String value2) {
            addCriterion("SPECIF_MODE not between", value1, value2, "specifMode");
            return (Criteria) this;
        }

        public Criteria andExecStdIsNull() {
            addCriterion("EXEC_STD is null");
            return (Criteria) this;
        }

        public Criteria andExecStdIsNotNull() {
            addCriterion("EXEC_STD is not null");
            return (Criteria) this;
        }

        public Criteria andExecStdEqualTo(String value) {
            addCriterion("EXEC_STD =", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdNotEqualTo(String value) {
            addCriterion("EXEC_STD <>", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdGreaterThan(String value) {
            addCriterion("EXEC_STD >", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdGreaterThanOrEqualTo(String value) {
            addCriterion("EXEC_STD >=", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdLessThan(String value) {
            addCriterion("EXEC_STD <", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdLessThanOrEqualTo(String value) {
            addCriterion("EXEC_STD <=", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdLike(String value) {
            addCriterion("EXEC_STD like", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdNotLike(String value) {
            addCriterion("EXEC_STD not like", value, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdIn(List<String> values) {
            addCriterion("EXEC_STD in", values, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdNotIn(List<String> values) {
            addCriterion("EXEC_STD not in", values, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdBetween(String value1, String value2) {
            addCriterion("EXEC_STD between", value1, value2, "execStd");
            return (Criteria) this;
        }

        public Criteria andExecStdNotBetween(String value1, String value2) {
            addCriterion("EXEC_STD not between", value1, value2, "execStd");
            return (Criteria) this;
        }

        public Criteria andNspectDateIsNull() {
            addCriterion("NSPECT_DATE is null");
            return (Criteria) this;
        }

        public Criteria andNspectDateIsNotNull() {
            addCriterion("NSPECT_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andNspectDateEqualTo(Date value) {
            addCriterion("NSPECT_DATE =", value, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateNotEqualTo(Date value) {
            addCriterion("NSPECT_DATE <>", value, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateGreaterThan(Date value) {
            addCriterion("NSPECT_DATE >", value, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateGreaterThanOrEqualTo(Date value) {
            addCriterion("NSPECT_DATE >=", value, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateLessThan(Date value) {
            addCriterion("NSPECT_DATE <", value, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateLessThanOrEqualTo(Date value) {
            addCriterion("NSPECT_DATE <=", value, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateIn(List<Date> values) {
            addCriterion("NSPECT_DATE in", values, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateNotIn(List<Date> values) {
            addCriterion("NSPECT_DATE not in", values, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateBetween(Date value1, Date value2) {
            addCriterion("NSPECT_DATE between", value1, value2, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andNspectDateNotBetween(Date value1, Date value2) {
            addCriterion("NSPECT_DATE not between", value1, value2, "nspectDate");
            return (Criteria) this;
        }

        public Criteria andInspectManIsNull() {
            addCriterion("INSPECT_MAN is null");
            return (Criteria) this;
        }

        public Criteria andInspectManIsNotNull() {
            addCriterion("INSPECT_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andInspectManEqualTo(String value) {
            addCriterion("INSPECT_MAN =", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManNotEqualTo(String value) {
            addCriterion("INSPECT_MAN <>", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManGreaterThan(String value) {
            addCriterion("INSPECT_MAN >", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManGreaterThanOrEqualTo(String value) {
            addCriterion("INSPECT_MAN >=", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManLessThan(String value) {
            addCriterion("INSPECT_MAN <", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManLessThanOrEqualTo(String value) {
            addCriterion("INSPECT_MAN <=", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManLike(String value) {
            addCriterion("INSPECT_MAN like", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManNotLike(String value) {
            addCriterion("INSPECT_MAN not like", value, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManIn(List<String> values) {
            addCriterion("INSPECT_MAN in", values, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManNotIn(List<String> values) {
            addCriterion("INSPECT_MAN not in", values, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManBetween(String value1, String value2) {
            addCriterion("INSPECT_MAN between", value1, value2, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andInspectManNotBetween(String value1, String value2) {
            addCriterion("INSPECT_MAN not between", value1, value2, "inspectMan");
            return (Criteria) this;
        }

        public Criteria andValidityYearIsNull() {
            addCriterion("VALIDITY_YEAR is null");
            return (Criteria) this;
        }

        public Criteria andValidityYearIsNotNull() {
            addCriterion("VALIDITY_YEAR is not null");
            return (Criteria) this;
        }

        public Criteria andValidityYearEqualTo(String value) {
            addCriterion("VALIDITY_YEAR =", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearNotEqualTo(String value) {
            addCriterion("VALIDITY_YEAR <>", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearGreaterThan(String value) {
            addCriterion("VALIDITY_YEAR >", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearGreaterThanOrEqualTo(String value) {
            addCriterion("VALIDITY_YEAR >=", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearLessThan(String value) {
            addCriterion("VALIDITY_YEAR <", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearLessThanOrEqualTo(String value) {
            addCriterion("VALIDITY_YEAR <=", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearLike(String value) {
            addCriterion("VALIDITY_YEAR like", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearNotLike(String value) {
            addCriterion("VALIDITY_YEAR not like", value, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearIn(List<String> values) {
            addCriterion("VALIDITY_YEAR in", values, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearNotIn(List<String> values) {
            addCriterion("VALIDITY_YEAR not in", values, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearBetween(String value1, String value2) {
            addCriterion("VALIDITY_YEAR between", value1, value2, "validityYear");
            return (Criteria) this;
        }

        public Criteria andValidityYearNotBetween(String value1, String value2) {
            addCriterion("VALIDITY_YEAR not between", value1, value2, "validityYear");
            return (Criteria) this;
        }

        public Criteria andCertifImgIsNull() {
            addCriterion("CERTIF_IMG is null");
            return (Criteria) this;
        }

        public Criteria andCertifImgIsNotNull() {
            addCriterion("CERTIF_IMG is not null");
            return (Criteria) this;
        }

        public Criteria andCertifImgEqualTo(String value) {
            addCriterion("CERTIF_IMG =", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgNotEqualTo(String value) {
            addCriterion("CERTIF_IMG <>", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgGreaterThan(String value) {
            addCriterion("CERTIF_IMG >", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgGreaterThanOrEqualTo(String value) {
            addCriterion("CERTIF_IMG >=", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgLessThan(String value) {
            addCriterion("CERTIF_IMG <", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgLessThanOrEqualTo(String value) {
            addCriterion("CERTIF_IMG <=", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgLike(String value) {
            addCriterion("CERTIF_IMG like", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgNotLike(String value) {
            addCriterion("CERTIF_IMG not like", value, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgIn(List<String> values) {
            addCriterion("CERTIF_IMG in", values, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgNotIn(List<String> values) {
            addCriterion("CERTIF_IMG not in", values, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgBetween(String value1, String value2) {
            addCriterion("CERTIF_IMG between", value1, value2, "certifImg");
            return (Criteria) this;
        }

        public Criteria andCertifImgNotBetween(String value1, String value2) {
            addCriterion("CERTIF_IMG not between", value1, value2, "certifImg");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagIsNull() {
            addCriterion("INVALID_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagIsNotNull() {
            addCriterion("INVALID_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagEqualTo(String value) {
            addCriterion("INVALID_FLAG =", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagNotEqualTo(String value) {
            addCriterion("INVALID_FLAG <>", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagGreaterThan(String value) {
            addCriterion("INVALID_FLAG >", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_FLAG >=", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagLessThan(String value) {
            addCriterion("INVALID_FLAG <", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagLessThanOrEqualTo(String value) {
            addCriterion("INVALID_FLAG <=", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagLike(String value) {
            addCriterion("INVALID_FLAG like", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagNotLike(String value) {
            addCriterion("INVALID_FLAG not like", value, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagIn(List<String> values) {
            addCriterion("INVALID_FLAG in", values, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagNotIn(List<String> values) {
            addCriterion("INVALID_FLAG not in", values, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagBetween(String value1, String value2) {
            addCriterion("INVALID_FLAG between", value1, value2, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidFlagNotBetween(String value1, String value2) {
            addCriterion("INVALID_FLAG not between", value1, value2, "invalidFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNull() {
            addCriterion("INVALID_MAN is null");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNotNull() {
            addCriterion("INVALID_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidManEqualTo(String value) {
            addCriterion("INVALID_MAN =", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotEqualTo(String value) {
            addCriterion("INVALID_MAN <>", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThan(String value) {
            addCriterion("INVALID_MAN >", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN >=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThan(String value) {
            addCriterion("INVALID_MAN <", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN <=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLike(String value) {
            addCriterion("INVALID_MAN like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotLike(String value) {
            addCriterion("INVALID_MAN not like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManIn(List<String> values) {
            addCriterion("INVALID_MAN in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotIn(List<String> values) {
            addCriterion("INVALID_MAN not in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManBetween(String value1, String value2) {
            addCriterion("INVALID_MAN between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotBetween(String value1, String value2) {
            addCriterion("INVALID_MAN not between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNull() {
            addCriterion("INVALID_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNotNull() {
            addCriterion("INVALID_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseEqualTo(String value) {
            addCriterion("INVALID_BECAUSE =", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <>", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThan(String value) {
            addCriterion("INVALID_BECAUSE >", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE >=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThan(String value) {
            addCriterion("INVALID_BECAUSE <", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLike(String value) {
            addCriterion("INVALID_BECAUSE like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotLike(String value) {
            addCriterion("INVALID_BECAUSE not like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIn(List<String> values) {
            addCriterion("INVALID_BECAUSE in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotIn(List<String> values) {
            addCriterion("INVALID_BECAUSE not in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE not between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}